Bug 1008977 - [RFE] libreport shall read configuration from user's home
[RFE] libreport shall read configuration from user's home
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport (Show other bugs)
6.6
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: abrt
BaseOS QE - Apps
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 08:33 EDT by Martin Kyral
Modified: 2017-11-24 06:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-24 06:19:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kyral 2013-09-17 08:33:19 EDT
Description of problem:
libreport can read the bugzilla and strata configuration from /etc/libreport/plugins/{bugzilla,rhtsupport}.conf or from environment variables. It would be useful if it would read user's configuration also from ~/.libreport/plugins/{bugzilla,rhtsupport}.conf

The priority of the configuration shall be environment -> user's home -> global.

Version-Release number of selected component (if applicable):
libreport-2.0.9-15.el6_4.1.x86_64

How reproducible:
always

Steps to Reproduce:
1. create ~/.libreport/plugins/{bugzilla,rhtsupport}.conf with the correct configuration and leave the /etc/libreport/plugins/{bugzilla,rhtsupport}.conf configuration empty
2. try to report to BZ/strata using the report command

Actual results:
error: Empty RHTS login or password

Expected results:
report succeeds


Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 22:06:50 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Miroslav Suchý 2017-11-24 06:19:19 EST
This has been resolved in upstream as side effect of https://github.com/abrt/libreport/pull/512

Note You need to log in before you can comment on or make changes to this bug.